Zum Inhalt

Get shippingAgentService

Retrieve the properties and relationships of a shippingAgentService object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})//shippingAgentServicesWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a shippingAgentService object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/shippingAgentServicesWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "b5e03a09-0e30-ee11-bdfc-6045bde98c16",
    "shippingTime": "2D",
    "baseCalendarCode": "",
    "shippingAgentCode": "DHL",
    "code": "STANDARD",
    "description": "Standardlieferung"
}

See also

Tips for working with the APIs
shippingAgentService
Delete shippingAgentService
Create shippingAgentService
Update shippingAgentService